<?php
	set_time_limit(0);

	//create the socket
	if(($socket = socket_create(AF_INET, SOCK_STREAM, 0)) < 0)
	{
		print("Couldn't create socket: " .
		socket_strerror(socket_last_error()) . "\n");
	}

	//bind it to the given address and port
	if(($error = socket_bind($socket,
		gethostbyname($_SERVER['HOSTNAME']), 12345)) < 0)
	{
		print("Couldn't bind socket: " .
		socket_strerror(socket_last_error()) . "\n");
	}

	if(($error = socket_listen($socket, 5)) < 0)
	{
		print("Couldn't list on socket: " .
		socket_strerror(socket_last_error()) . "\n");
	}

	while(TRUE)
	{
		//wait for connection
		if(($accept = socket_accept($socket)) < 0)
		{
			print("Error while reading: " .
			socket_strerror($message) . "\n");
			break;
		}

		//send welcome message
		socket_write($accept, "Connection accepted\n");
		print(date('Y-m-d H:i:s') . " STATUS: Connection
		accepted\n");
		ob_flush();
		while(TRUE)
		{

			//read line from client
			if(FALSE === ($line = socket_read($accept, 1024)))
			{
				print("Couldn't read from socket: " .
					socket_strerror(socket_last_error()) . "\n");
				break 2;
			}

			if(!@socket_write($accept, "ECHO: $line"))
			{
				print(date('Y-m-d H:i:s') . 
					" STATUS: Connection interrupted\n");
				break;
			}

			print(date('Y-m-d H:i:s') . " READ: $line");
			ob_flush();
		}
		
		socket_close($accept);
	}
?>