<?php
	//connect to server
	if(!($ftp = ftp_connect("www.leonatkinson.com")))
	{
		print("Unable to connect!<br>\n");
		exit();
	}
	print("Connected<br>\n");

	//log in
	if(!ftp_login($ftp, "anonymous", "corephp@"))
	{
		print("Unable to login!<br>\n");
		exit();
	}
	print("Logged in<br>\n");

	print("System Type: " . ftp_systype($ftp) . "<br>\n");
	print("Timeout: " .
		ftp_get_option($ftp, FTP_TIMEOUT_SEC) .
		" seconds<br>\n");

	//make sure passive mode is off
	ftp_pasv($ftp, FALSE);
	print("Working Directory: " . ftp_pwd($ftp) . "<br>\n");
	print("Raw List:<br>\n");
	foreach(ftp_rawlist($ftp, ".") as $line)
	{
		print("$line<br>\n");
	}
	print("<br>\n");

	if(!ftp_chdir($ftp, "pub/leon"))
	{
		print("Unable to go to the pub/leon directory!<br>\n");
	}
	print("Moved to pub/leon directory<br>\n");
	print("Files:<br>\n");
	foreach(ftp_nlist($ftp, ".") as $filename)
	{
		print("$filename<br>\n");
	}
	print("<br>\n");

	if(!ftp_cdup($ftp))
	{
		print("Failed to move up a directory!<br>\n");
	}

	//close connection
	ftp_close($ftp);
?>