<?php
	//connect to server
	if(!($ftp = ftp_connect("www.leonatkinson.com")))
	{
		print("Unable to connect!<br>\n");
		exit();
	}

	//log in
	if(!ftp_login($ftp, "anonymous", "corephp@"))
	{
		print("Unable to login!<br>\n");
		exit();
	}

	//open local file for writing
	if(!$fp = fopen("/tmp/corephp3_examples.tar.gz", "w"))
	{
		print("Unable to open file!<br>\n");
		exit();
	}

	//save remote file in open file stream
	$status = ftp_nb_fget($ftp, $fp,
		"/pub/leon/corephp3_examples.tar.gz", FTP_BINARY);
	while($status == FTP_MOREDATA)
	{
		print("Still downloading...");

		//fake some process
		usleep(100);
		$status = ftp_nb_continue($ftp);
	}

	if($status == FTP_FAILED)
	{
		print("Unable to get remote file!<br>\n");
	}
	else
	{
		print("File downloaded!<br>\n");
	}

	//close local file
	fclose($fp);

	//close connection
	ftp_close($ftp);
?>