<?php
	//create test data
	$paragraph = "This is a <b>short</b> paragraph. Some ";
	$paragraph .= "<b>words</b> and <b>some phrases</b> ";
	$paragraph .= "are surround by <b>bold</b> tags. ";

	/*
	** use PREG_PATTERN_ORDER to find bold words
	*/
	preg_match_all("|<[^>]+>(.*)</[^>]+>|", $paragraph,
	$match, PREG_PATTERN_ORDER);

	//print full matches
	print("<b>Subpattern matches</b>:<br>\n");
	for($i=0; $i < count($match[0]); $i++)
	{
		print(htmlentities($match[0][$i]) . "<br>\n");
	}
	
	print("<b>Subpattern matches</b>:<br>\n");
	for($i=0; $i < count($match[1]); $i++)
	{
		print(htmlentities($match[0][$i]) . "<br>\n");
	}

	/*
	** use PREG_SET_ORDER to find bold words
	*/
	preg_match_all("|<[^>]+>(.*)</[^>]+>|", $paragraph,
		$match, PREG_SET_ORDER);
	foreach($match as $m)
	{
		print(htmlentities($m[0]));
		for($i=1; $i < count($m); $i++)
		{
			print(" (".htmlentities($m[$i]).")");
		}
		print("<br>\n");
	}
?>