<?php
	/*
	** create cyan square canvas
	*/
	$image = imagecreate(200,200);
	$colorCyan = imagecolorallocate($image, 128, 255, 255);
	$colorBlack = imagecolorallocate($image, 0, 0, 0);
	imagefill($image, 0, 0, $colorCyan);

	/*
	** draw solid line
	*/
	imageline($image, 50, 0, 200, 150, $colorBlack);

	/*
	** draw dashed line
	*/
	$styleDashed = array_merge(array_fill(0, 4, $colorBlack),
	array_fill(0, 4, IMG_COLOR_TRANSPARENT));
	imagesetstyle($image, $styleDashed);
	imageline($image, 0, 0, 200, 200, IMG_COLOR_STYLED);

	/*
	** draw dotted line using brush
	*/
	//make a dot brush
	$dot = imagecreate(10, 10);
	$dotColorBlack = imagecolorallocate($dot, 0, 0, 0);
	$dotColorTransparent = imagecolorallocate($dot, 255, 0, 255);
	imagecolortransparent($dot, $dotColorTransparent);
	imagefill($dot, 0, 0, $dotColorTransparent);
	imagefilledellipse($dot, 4, 4, 5, 5, $dotColorBlack);
	imagesetbrush($image, $dot);

	//set line style
	$styleDotted = array_merge(array_fill(0, 1, $colorBlack),
	array_fill(0, 9, IMG_COLOR_TRANSPARENT));
	imagesetstyle($image, $styleDotted);

	//draw dotted line
	imageline($image, 0, 50, 150, 200, IMG_COLOR_STYLEDBRUSHED);

	/*
	** show image
	*/
	header("Content-type: image/png");
	imagepng($image);
?>