<?php
	//create black canvas
	$image = imagecreate(100,100);
	$colorBlack = imagecolorallocate($image, 0, 0, 0);
	imagefill($image, 0, 0, $colorBlack);

	//make a brush with transparent background
	$brush = imagecreate(20, 20);
	$brushColorTransparent = imagecolorallocate($brush, 255, 0,	255);
	imagecolortransparent($brush, $brushColorTransparent);
	imagefill($brush, 0, 0, $brushColorTransparent);

	//draw three diagonal dots
	$brushColorRed = imagecolorallocate($brush, 255, 0, 0);
	$brushColorYellow = imagecolorallocate($brush, 255, 255, 0);
	$brushColorBlue = imagecolorallocate($brush, 0, 0, 255);
	imagefilledellipse($brush, 5, 5, 5, 5, $brushColorRed);
	imagefilledellipse($brush, 10, 10, 5, 5, $brushColorYellow);
	imagefilledellipse($brush, 15, 15, 5, 5, $brushColorBlue);

	//set the brush
	imagesetbrush($image, $brush);

	//draw triangle with brush
	$points = array(50, 10, 10, 90, 90, 90);
	imagepolygon($image,
		$points, count($points)/2,
		IMG_COLOR_BRUSHED);

	//show image
	header("Content-type: image/png");
	imagepng($image);
?>