<?php
	//create red square
	$image = imagecreate(300,100);
	$colorPink = imagecolorallocate($image, 0xFF, 0xCC, 0xCC);
	$colorBlack = imagecolorallocate($image, 0, 0, 0);
	imagefill($image, 0, 0, $colorPink);
	imagesetthickness($image, 10);

	//set up three points of the triangle
	$points = array(50, 10, 10, 90, 90, 90);

	//draw triangle
	imagepolygon($image,
		$points, count($points)/2,
		$colorBlack);

	//draw ellipse
	imageellipse($image, 150, 50, 80, 50, $colorBlack);

	//draw rectangle
	imagerectangle($image,
		210, 10, 290, 90,
		$colorBlack);

	//send image
	header("Content-type: image/png");
	imagepng($image);
?>