<?php
	// open database in write mode
	if(($db = dba_popen('inventory', 'w', 'gdbm')) === FALSE)
	{
		print('Could not open database!');
		exit();
	}
	if(dba_exists('3', $db))
	{
		//item 3 exists, set inventory to 150
		dba_replace('3', '150', $db);
		print("Replaced inventory for item 3<br>");
	}
	else
	{
		//item 3 doesn't exists, insert it
		dba_insert('3', '150', $db);
		print("Inserted inventory for item 3<br>");
	}
	if(dba_exists('4', $db))
	{
		// remove item 4
		dba_delete('4', $db);
		print("Removed item 4<br>");
	}
	else
	{
		dba_insert('4', '500', $db);
		print("Inserted inventory for item 4<br>");
	}

	//sync database
	dba_sync($db);

	//get all the records
	for($key = dba_firstkey($db);
		$key !== FALSE;
		$key = dba_nextkey($db))
	{
		print("$key = " . dba_fetch($key, $db) . "<br>");
	}

	// close database
	dba_close($db);
?>