<?php
	function myDBX_Order($a, $b)
	{
		return(dbx_compare($a, $b, "ID", DBX_CMP_ASC |
		DBX_CMP_NUMBER));
	}

	//connect to MySQL server
	if(!($db = dbx_connect(
		DBX_MYSQL,
		'localhost',
		'ft3',
		'freetrade', '',
		DBX_PERSISTENT)))
	{
		print("Unable to connect to database");
		exit();
	}

	//select from item table
	$result = dbx_query($db,
		'SELECT ID, Name from item',
		DBX_RESULT_ASSOC | DBX_COLNAMES_UNCHANGED);

	if($result == FALSE)
	{
		print("Error: " . dbx_error($db));
		exit();
	}

	//sort result set
	dbx_sort($result, 'myDBX_Order');
	print('<table border="1">');

	print('<tr>');
	for($c=0; $c < $result->cols; $c++)
	{
		print("<th>{$result->info['name'][$c]}</th>");
	}
	print('</tr>');

	for($r=0; $r < $result->rows; $r++)
	{
		print('<tr>');
		for($c=0; $c < $result->cols; $c++)
		{
			print("<td>{$result->data[$r][$c]}</td>");
		}
		print('</tr>');
	}

	print('</table>');
?>