<?php
	/*
	** This script tests the functions that return meta data.
	** Note the slightly tricky use of the ternary operator.
	*/
	$catalog = "ft3";
	$schema = "";

	//connect to database
	$Link = odbc_connect("mysql-galt", "leon", "");

	print("<h1>odbc_columns</h1>");
	$Result = @odbc_columns($Link, "", "", "item");
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_foreignkeys</h1>");
	$Result = @odbc_foreignkeys($Link, $catalog, $schema, "user");
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_gettypeinfo</h1>");
	$Result = @odbc_gettypeinfo($Link);
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_primarykeys</h1>");
	$Result = @odbc_primarykeys(Link, $catalog, $schema, "user");
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_procedurecolumns</h1>");
	$Result = @odbc_procedurecolumns($Link);
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_procedures</h1>");
	$Result = @odbc_procedures($Link);
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_specialcolumns</h1>");
	$Result = @odbc_specialcolumns($Link, $catalog, $schema,
		"user", SQL_SCOPE_SESSION, SQL_NULLABLE);
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_statistics</h1>");
	$Result = @odbc_statistics($Link, $catalog, $schema,
		"user", SQL_INDEX_ALL, SQL_QUICK);
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_tableprivileges</h1>");
	$Result = @odbc_tableprivileges($Link, $catalog, $schema, "%");
	$Result ? odbc_result_all($Result) : print('Unsupported');

	print("<h1>odbc_tables</h1>");
	$Result = @odbc_tables($Link, $catalog, $schema, "%");
	$Result ? odbc_result_all($Result) : print('Unsupported');

	//close connection
	odbc_close($Link);
?>