<?php
	//connect to LDAP server
	if(!($ldap=ldap_connect("localhost")))
	{
		die("Could not connect to LDAP server!");
	}

	//set login DN
	$dn="cn=Manager,dc=leonatkinson,dc=com";

	//attempt to bind to DN using password
	if(!ldap_bind($ldap, $dn, "secret"))
	{
		die("Unable to bind to '$dn'!");
	}

	// create entry
	$entry["cn"]="Barry Bat";
	$entry["objectClass"]="inetOrgPerson";
	$entry["sn"]="Barry";
	$entry["mail"][0] = "barry@example.com";
	$entry["mail"][1] = "bat@example.com";
	$entry["initials"]="BB";
	$entry["homePhone"]="123-123-1234";
	$entry["mobile"]="123-123-1234";

	//create new entry's DN
	$dn = "cn=Barry Bat,dc=leonatkinson,dc=com";

	//add entry
	if(ldap_add($ldap, $dn, $entry))
	{
		print("Entry Added!");
	}
	else
	{
		print("Add failed!");
	}

	//close connection
	ldap_close($ldap);
?>