<?php
	//connect to database
	$Link = odbc_connect("mysql-galt", "leon", "");

	//use the freetrade database
	odbc_do($Link, "USE ft3");

	//prepare query for inserting new SKUs for item 1
	$Query = "INSERT INTO sku (Item, Name, SalePrice) ";
	$Query .= "VALUES(1, ?, ?) ";
	$Result = odbc_prepare($Link, $Query);

	//insert these rows
	//2003 Calendar, 20.00
	//2004 Calendar, 20.50
	//2005 Calendar, 21.00
	for($index = 2003; $index <= 2005; $index++)
	{
		$values[0] = "$index Calendar";
		$values[1] = 20.00 + (0.50 * ($index-2000));
		odbc_execute($Result, $values);
	}

	//dump all SKUs for item 1
	$Query = "Select ID, Name, SalePrice " .
		"FROM sku " .
		"WHERE Item = 1";
	$Result = odbc_do($Link, $Query);
	odbc_result_all($Result, 'border="1"');

	//close connection
	odbc_close($Link);
?>