<?php
	//connect to database
	$Link = ocilogon("scott", "tiger");

	//check that we made the connection
	if($Error = ocierror())
	{
		die('<p style="color: red">Connection Failed--' .
		$Error["message"] . "</p>");
	}

	//assemble query
	$Query = "SELECT * FROM emp ";

	//parse query
	$Statement = ociparse($Link, $Query);

	//execute query
	ociexecute($Statement);

	//check that the query executed successfully
	if($Error = ocierror($Statement))
	{
		die('<p style="color: red">Execution Failed--' .
		$Error["message"] .
		"</p>");
	}

	//start HTML table
	print("<table border=\"1\">\n");

	//build headers from column information
	print("<tr>\n");
	for($i=1; $i <= ocinumcols($Statement); $i++)
	{
		print("<th>" .
			ocicolumnname($Statement, $i) . "<br>" .
			ocicolumntype($Statement, $i) .
			"(" . ocicolumnsize($Statement, $i) . ")<br>" .
			ocicolumnprecision($Statement, $i) . "<br> " .
			ocicolumnscale($Statement, $i) .
			"</th>\n");
	}
	print("</tr>\n");

	//fetch each row
	while(ocifetch($Statement))
	{
		print("<tr>\n");

		//loop over each column
		for($i=1; $i <= ocinumcols($Statement); $i++)
		{
			//print a line like "<td>SMITH</td>"
			print("<td>");
			if(ocicolumnisnull($Statement, $i))
			{
				print("(null)");
			}
			else
			{
				print(ociresult($Statement, $i));
			}
			print("</td>\n");
		}
		print("</tr>\n");
	}

	//close table
	print("</table>\n");

	//free the statement
	ocifreestatement($Statement);

	//close connection
	ocilogoff($Link);
?>