<?php
	//open connection
	$Connection = ocilogon("scott", "tiger");

	//create cursor
	$Cursor = ocinewcursor($Connection);

	//create statement that calls a stored procedure
	$Query = "BEGIN emp_data.open_emp_cv(7902, :myrow); END;";
	$Statement = ociparse($Connection, $Query);

	//bind placeholder to cursor
	ocibindbyname($Statement, ":myrow", $Cursor, -1, OCI_B_CURSOR);

	//execute statement
	ociexecute($Statement);

	//execute cursor
	ociexecute($Cursor);

	//get row from cursor
	while(ocifetchinto($Cursor, $Column,
	OCI_NUM | OCI_RETURN_NULLS))
	{
		print(implode(',', $Column) . "<br>\n");
	}

	//free memory for statement
	ocifreestatement($Statement);

	//free row
	ocifreecursor($Cursor);

	//close connection
	ocilogoff($Connection);
?>