<?php
	//connect to database
	$Link = pg_connect(" " .
		"dbname=freetrade " .
		"user=freetrade " .
		"password=freetrade");

	/*
	** Insert an image as a lob
	*/

	//start transaction
	pg_query($Link, "BEGIN");

	//create the large object
	$oid = pg_lo_create($Link);

	//create new row in image table
	$Query = "INSERT INTO image (name, mime, object_id) " .
		"VALUES ('leonatkinson.png', 'image/png', $oid)";
	pg_query($Link, $Query);

	//read the image and write it into the lob
	$image = file_get_contents("leonatkinson.png");
	$lob = pg_lo_open($Link, $oid, "w");
	pg_lo_write($lob, $image);
	pg_lo_close($lob);
	pg_query($Link, "COMMIT");

	/*
	** get lob image
	*/

	//start transaction
	pg_query($Link, "BEGIN");

	//get OID and MIME type
	$Query = "SELECT object_id, mime " .
		"FROM image " .
		"WHERE name = 'leonatkinson.png' ";
	$Result = pg_query($Link, $Query);
	$oid = pg_fetch_result($Result, 0, 0);
	$mime = pg_fetch_result($Result, 0, 1);

	//send image to browser
	$lob = pg_lo_open($Link, $oid, "w");
	header("Content-type: $mime");
	pg_lo_read_all($lob);
	pg_lo_close($lob);
	pg_query($Link, "COMMIT");
?>