<?php
	function handleSybaseError($message, $severity, $state, $line, $text)
	{
		//report bad table names
		if($message == 208)
		{
			return(FALSE);
		}

		//silently log the error
		error_log("Sybase Error $message " .
			"Severity:$severity State:$state Line:$line $text",
			3, "C:/tmp/sybase_error.log");
		return(TRUE);
	}

	//register the handler
	sybase_set_message_handler("handleSybaseError");

	//connect
	$Link = @sybase_connect('falcon', 'leon', 'corephp');

	//use the "sample" database
	@sybase_select_db("sample", $Link);

	//try a bad query just so we can see
	//what happens when an error occurs
	$Query = "SELECT FROM item ";
	if(!($Result = sybase_query($Query, $Link)))
	{
		print("The query failed!");
	}

	//close connection
	sybase_close($Link);
?>