<?php
	/*
	** ldap_list example
	** This script explores the organizational units at
	** the University of Michigan. Links are created
	** to explore units within units.
	*/
	$self = $_SERVER['PHP_SELF'];
	$dn = $_REQUEST['dn'];
	if(!isset($_REQUEST['dn']))
	{
		$dn = "o=University of Michigan, c=US";
	}
	print("<b>Search DN:</b> $dn<br>\n");

	//connect to LDAP server
	if(!($ldap=ldap_connect("ldap.itd.umich.edu")))
	{
		die("Could not connect to LDAP server!");
	}

	$filter = "objectClass=*";
	$attributes = array("ou", "cn");

	//perform search
	if(!($result = ldap_list($ldap, $dn, $filter, $attributes)))
	{
		die("Nothing Found!");
	}
	$entries = ldap_get_entries($ldap, $result);
	for($index = 0; $index < $entries["count"]; $index++)
	{
		if(isset($entries[$index]["ou"]))
		{
			print("<a href=\"$self?dn=" .
			$entries[$index]["dn"]."\">");
			print($entries[$index]["ou"][0]);
			print("</a>");
		}
		else
		{
			print($entries[$index]["cn"][0]);
		}
		print("<br>\n");
	}
	ldap_free_result($result);

	// close connection
	ldap_close($ldap);
?>