<?php
	//key for the server's queue
	define('SERVER_QUEUE', 1970);

	//message types
	define('MSG_SHUTDOWN', 1);
	define('MSG_TOUPPER', 2);
	define('MSG_HELLO', 3);

	//create queue
	$queue = msg_get_queue(SERVER_QUEUE);

	//process messages
	$keepListening = TRUE;
	while($keepListening)
	{
		//wait for a message
		msg_receive($queue, 0, $type, 1024, $message);
		switch($type)
		{
			case MSG_SHUTDOWN:
				$keepListening = FALSE;
				break;
			case MSG_HELLO:
				print($message . " says hello.\n");
				break;
			case MSG_TOUPPER:
				$clientQueue = msg_get_queue($message['caller']);
				$response = strtoupper($message['text']);
				msg_send($clientQueue, MSG_TOUPPER, $response);
				break;
		}
	}

	//remove the queue
	msg_remove_queue($queue);
?>