<?php
	//key for the server's queue
	define('SERVER_QUEUE', 1970);

	//message types
	define('MSG_SHUTDOWN', 1);
	define('MSG_TOUPPER', 2);
	define('MSG_HELLO', 3);

	//create queue
	$qid = rand(1, 10000);
	$queue = msg_get_queue($qid);
	$serverQueue = msg_get_queue(SERVER_QUEUE);

	//send a greeting
	msg_send($serverQueue, MSG_HELLO, $qid);

	//send a string to set to uppercase
	msg_send($serverQueue, MSG_TOUPPER,
		array('caller'=>$qid,
		'text'=>'corephp'));

	//wait for return from server
	msg_receive($queue, 0, $type, 1024, $message);
	print("$message\n");

	//tell server to shutdown
	msg_send($serverQueue, MSG_SHUTDOWN, NULL);

	//remove the queue
	msg_remove_queue($queue);
?>