<?php
	//connect to IMAP server
	$imap = imap_open("{example.com}INBOX", "leon", "secret");
	if(!$imap)
	{
		print("Connection to IMAP server failed!");
	}

	//get the number of messages in the INBOX
	$check = imap_check($imap);
	print("$check->Nmsgs messages<br>\n");
	print("$check->Recent new messages<br>\n");
	print("Most Recent Message: $check->Date<br>\n");
	for($n=1; $n <= $check->Nmsgs; $n++)
	{
		$header = imap_headerinfo($imap, $n);
		$body = imap_body($imap, $n, FT_INTERNAL | FT_PEEK);
		print("<hr>\n");
		$to = array();
		foreach($header->to as $t)
		{
			$to[] = "$t->personal <$t->mailbox@$t->host>";
		}
		$to = implode(",", $to);

		$from = array();
		foreach($header->from as $f)
		{
			$from[] = "$f->personal <$f->mailbox@$f->host>";
		}
		$from = implode(",", $from);

		print(
			"Date: $header->date<br>\n" .
			"To: " . htmlentities($to) . "<br>" .
			"From: " . htmlentities($from) . "<br>\n" .
			"Subject: $header->subject<br>\n" .
			"<br>\n" .
			nl2br(htmlentities($body)) . "<br>\n");
	}
	//close connection
	imap_close($imap);
?>