<?php
	//create parser
	if(!($parser = xml_parser_create()))
	{
		print("Could not create parser!<br>");
		exit();
	}

	//get entire file
	$data = file_get_contents("corephp.xml");

	//parse file into array
	xml_parse_into_struct($parser, $data, $structure, $index);

	//destroy parser
	xml_parser_free($parser);
	print("Structure:<br>" .
		"<table border=\"1\">" .
		"<tr>" .
		"<th>tag</th>" .
		"<th>type</th>" .
		"<th>level</th>" .
		"<th>value</th>" .
		"<tr>");
	foreach($structure as $s)
	{
		if(!isset($s["value"]))
		{
			$s["value"] = "";
		}
		print("<tr>" .
		"<td>{$s["tag"]}</td>" .
		"<td>{$s["type"]}</td>" .
		"<td>{$s["level"]}</td>" .
		"<td>{$s["value"]}</td>" .
		"<tr>");
	}
	print("</table>");
	print("Element Reference:<br>");
	foreach($index as $key=>$value)
	{
		print("$key:");
		foreach($value as $i)
		{
			print(" $i");
		}
		print("<br>");
	}
?>