<?php
	//create new document
	$dom = domxml_new_doc("1.0");

	//start ordinary HTML document
	$root = $dom->append_child($dom->create_element("html"));
	$head = $root->append_child($dom->create_element("head"));
	$title = $head->append_child($dom->create_element("title"));
	$body = $root->append_child($dom->create_element("body"));

	//start body with some PHP code
	$body->append_child(
		$dom->create_processing_instruction(
			'php',
			'print(date("Y-m-d"));'));
	$body->append_child($dom->create_element("br"));
	$body->set_attribute('id', 'corephp');

	//set title text with current time
	$title->append_child($dom->create_text_node(time()));

	//dump the entire document
	print($dom->dump_mem(TRUE));
?>