<?php
	// SessionID
	// generates a session id
	function getSessionID($length=16)
	{
		// Set pool of possible characters
		$Pool = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
		$Pool .= "abcdefghijklmnopqrstuvwxyz";
		$lastChar = strlen($Pool) - 1;
		$sid = "";
		for($i = 0; $i < $length; $i++)
		{
			$sid .= $Pool[mt_rand(0, $lastChar)];
		}
		return($sid);
	}

	// Seed the generator
	mt_srand(100000000 * (double)microtime());
	if(isset($_REQUEST['sid']))
	{
		print("Old Session ID was {$_REQUEST['sid']}<br>\n");
	}

	$sid = getSessionID();
	print("<a href=\"{$_SERVER['PHP_SELF']}?sid=$sid\">");
	print("Get Another Session ID");
	print("</a>\n");
?>