<html>
<head>
<title>Listing 23-6</title>
</head>
<body>
<?php
	//create a session identifier
	function SessionID($length=32)
	{
		// Set pool of possible characters
		$Pool = "ABCDEFGHIJKLMNOPQRSTUVWXYZ" .
			"abcdefghijklmnopqrstuvwxyz";
		$lastChar = strlen($Pool) - 1;
		$sid = "";
		for($i = 0; $i < $length; $i++)
		{
			$sid .= $Pool[mt_rand(0, $lastChar)];
		}
		return($sid);
	}

	//connect to database
	if(!($dbLink = mysql_connect("localhost", "httpd", "")))
	{
		print("Couldn't connect to database!<br>\n");
	}

	//select database, then test for failure
	if(!($dbResult = mysql_query("USE test", $dbLink)))
	{
		print("Couldn't use test database!<br>\n");
	}

	//clear out any old sessions
	$Query = "DELETE FROM session " .
		"WHERE DATE_ADD(LastAction, INTERVAL 1800 SECOND) < " .
		"NOW()";
	if(!($dbResult = mysql_query($Query, $dbLink)))
	{
		//can't execute query
		print("Couldn't remove old sessions!<br>\n");
	}

	//check session
	$mySession = NULL;
	if(isset($_REQUEST['sid']))
	{
		//we have a session, so check it
		$Query = "SELECT SessionData, Invoice " .
			"FROM session " .
			"WHERE ID='" . addslashes($_REQUEST['sid']) . "' ";
		if(!($dbResult = mysql_query($Query, $dbLink)))
		{
			//can't execute query
			print("Couldn't query session table!<br>\n");
			print("MySQL Reports: " . mysql_error() . "<br>\n");
		}

		//if we have a row, then the match succeeded
		if($dbRow = mysql_fetch_assoc($dbResult))
		{
			//get session data
			$mySession = unserialize($dbRow['SessionData']);
			$mySession['Invoice'] = $dbRow['Invoice'];
		}
		else
		{
			//session is bad
			print("Bad Session ID ({$_REQUEST['sid']})!<br>\n");
			unset($_REQUEST['sid']);
		}
	}

	//if session is empty, we need to create it
	if(!isset($_REQUEST['sid']))
	{
		//no session, so create one
		$_REQUEST['sid'] = SessionID();
		$mySession = array('Count'=>0);

		//insert session to database
		$Query = "INSERT INTO session " .
			"(ID, SessionData, LastAction) " .
			"VALUES (" .
			"'" . addslashes($_REQUEST['sid']) . "', " .
			"'" . addslashes(serialize($mySession)) . "', " .
			"NOW()) ";
		if(!($dbResult = mysql_query($Query, $dbLink)))
		{
			//can't execute query
			print("Couldn't insert into session table!<br>\n");
			print("MySQL Reports: " . mysql_error() . "<br>\n");
			exit();
		}
	}

	//if the user changes the invoice ID, update
	//the column and the session
	if(isset($_REQUEST['invoice']))
	{
		//force invoice to be integer
		$_REQUEST['invoice'] = (integer)$_REQUEST['invoice'];
		$Query = "UPDATE session " .
			"SET Invoice={$_REQUEST['invoice']} " .
			"WHERE ID = '" . addslashes($_REQUEST['sid']) . "' ";
		if(!($dbResult = mysql_query($Query, $dbLink)))
		{
			print("Couldn't update invoice!<br>\n");
		}
		$mySession['Invoice'] = $_REQUEST['invoice'];
	}

	//increment view count
	$mySession['Count']++;
	if(!isset($mySession['Invoice']))
	{
		$mySession['Invoice'] = 'NULL';
	}

	print("You have viewed this page " .
		"{$mySession['Count']} times!<br>\n");
	print("Current Invoice: {$mySession['Invoice']}<br>\n");

	//show form for getting name
	print("<form " .
		"action=\"{$_SERVER['PHP_SELF']}\" " .
		"method=\"post\">" .
		"<input type=\"hidden\" name=\"sid\" " .
		"value=\"{$_REQUEST['sid']}\">" .
		"<input type=\"text\" name=\"invoice\" " .
		"value=\"\">\n" .
		"<input type=\"submit\" value=\"set order number\">" .
		"<br>\n" .
		"</form>");

	//use a link to reload this page
	print("<a href=\"" .
		"{$_SERVER['PHP_SELF']}?sid={$_REQUEST['sid']}\">reload" .
		"</a><br>\n");

	/*
	** save the session
	*/
	//pull invoice out
	$Invoice = $mySession['Invoice'];
	unset($mySession['Invoice']);
	$Query = "UPDATE session " .
		"SET LastAction = NOW(), " .
		"Invoice = $Invoice, " .
		"SessionData = '" . serialize($mySession) . "' " .
		"WHERE ID='" . addslashes($_REQUEST['sid']) . "' ";
	if(!($dbResult = mysql_query($Query, $dbLink)))
	{
		//can't execute query
		print("Couldn't update session table!<br>\n");
		print("MySQL Reports: " . mysql_error() . "<br>\n");
		exit();
	}
?>
</body>
</html>