<?php
	//report actual modification time of script
	$LastModified = filemtime(__FILE__) + date("Z");
	header("Last-Modified: " .
		gmdate("D, d M Y H:i:s", $LastModified) . " GMT");

	//set expiration time 24 hours (86400 seconds) from now
	$Expires = time() + 86400;
	header("Expires: " .
		gmdate("D, d M Y H:i:s", $Expires) . " GMT");

	//tell cache to let page age for 24 hours (86400 seconds)
	header("Cache-Control: max-age=86400");
?>
<html>
<head>
	<title>Listing 24-4</title>
</head>
<body>
The time is <?php print(gmdate("D, d M Y H:i:s")); ?> GMT<br>
<br>
This document was last modified
<?php print(gmdate("D, d M Y H:i:s", $LastModified)); ?> GMT<br>
It expires
<?php print(gmdate("D, d M Y H:i:s", $Expires)); ?> GMT<br>
</body>
</html>