<?php
	$userInfo = array(
		"Name"=>"Leon Atkinson",
		"Location"=>"Martinez, California",
		"Occupation"=>"Programmer",
		"PHP Version"=>5.0);

	//Whether a boolean, integer or double,
	//PHP converts the array to 1
	$asBool = (boolean)$userInfo;
	print("Boolean: $asBool<br>\n");

	$asInt = (integer)$userInfo;
	print("Integer: $asInt<br>\n");

	$asDouble = (double)$userInfo;
	print("Double: $asDouble<br>\n");

	//When converting to a string, PHP
	//returns the string "Array"
	$asString = (string)$userInfo;
	print("String: $asString<br>\n");

	//When converting the array to an object,
	//PHP tries to convert all elements to properties.
	//Elements with spaces in their keys are not lost,
	//but are inaccessible.
	$asObject = (object)$userInfo;
	print("Object: $asObject->Location<br>\n");
	print("$asObject->PHP Version<br>\n"); //doesn't work!

	//uncommented, the following is a parse error
	//print($userInfo + 1);

	//PHP knows how to promote an array to a string, though
	//not with useful results.
	print("Promoted to string:" . $userInfo . "<br>\n");

	//PHP won't promote an array to an object
	print($userInfo->Name . "<br>\n");
?>