<?php
	class Counter
	{
		private static $count = 0;

		function __construct()
		{
			self::$count++;
		}

		function __destruct()
		{
			self::$count--;
		}

		function getCount()
		{
			return self::$count;
		}
	}

	//create one instance
	$c = new Counter();

	//print 1
	print($c->getCount() . "<br>\n");

	//create a second instance
	$c2 = new Counter();

	//print 2
	print($c->getCount() . "<br>\n");

	//destroy one instance
	$c2 = NULL;

	//print 1
	print($c->getCount() . "<br>\n");
?>