<?php
	class Counter
	{
		private static $count = 0;
		const VERSION = 2.0;

		function __construct()
		{
			self::$count++;
		}

		function __destruct()
		{
			self::$count--;
		}

		static function getCount()
		{
			return self::$count;
		}
	}

	//create one instance
	$c = new Counter();

	//print 1
	print(Counter::getCount() . "<br>\n");

	//print the version of the class
	print("Version used: " . Counter::VERSION . "<br>\n");
?>