<?php
	//start session
	session_start();

	//Set variable based on form input
	if(isset($_REQUEST['inputName']))
	{
		$_SESSION['Name'] = $_REQUEST['inputName'];
	}

	//Increment counter with each page load
	if(isset($_SESSION['Count']))
	{
		$_SESSION['Count']++;
	}
	else
	{
		//start with count of 1
		$_SESSION['Count'] = 1;
	}
?>
<html>
<head>
	<title>Listing 7-6</title>
</head>
<body>
<?php
	//print diagnostic info
	print("<b>Diagnostic Information</b><br>\n");
	print("Session Name: " . session_name() . "<br>\n");
	print("Session ID: " . session_id() . "<br>\n");
	print("Session Module Name: " . session_module_name() . "<br>\n");
	print("Session Save Path: " . session_save_path() . "<br>\n");
	print("Encoded Session:" . session_encode() . "<br>\n");

	print("<hr>\n");
	if(isset($_SESSION['Name']))
	{
		print("Hello, {$_SESSION['Name']}!<br>\n");
	}

	print("You have viewed this page " . $_SESSION['Count'] . 
		" times!<br>\n");

	//show form for getting name
	print("<form " .
		"action=\"{$_SERVER['PHP_SELF']}\" " .
		"method=\"post\">" .
		"<input type=\"text\" name=\"inputName\" " .
		"value=\"\"><br>\n" .
		"<input type=\"submit\" value=\"change name\"><br>\n" .
		"</form>");

	//use a link to reload this page
	print("<a href=\"{$_SERVER['PHP_SELF']}\">reload</a><br>\n");
?>
</body>
</html>