<?php
	$filename = 'data.txt';
	$groupID = filegroup($filename);
	$groupInfo = posix_getgrgid($groupID);

	$inode = fileinode($filename);

	$userID = fileowner($filename);
	$userInfo = posix_getpwuid($userID);

	print("Filename: $filename<br>\n");
	print("Group: $groupID [{$groupInfo['name']}]<br>\n");
	print("Owner: $userID [{$userInfo['name']}]<br>\n");
	printf("Permissions: %o<br>\n", (fileperms($filename) & 0777));
	print("Size: " . filesize($filename) . "<br>\n");
	print("Type: " . filetype($filename) . "<br>\n");
?>