<?php
	//define filter
	class caseChanger extends php_user_filter
	{
		function read($maximum)
		{
			//get data from stream
			$data = parent::read($maximum);

			//change to uppercase
			$data = ucwords($data);

			//return data
			return($data);
		}
	}

	//register filter
	stream_register_filter("corephp.cc", "caseChanger");

	//open stream
	$fp = fopen("/tmp/test.txt", "rb");

	//attach filter to the stream
	stream_filter_append($fp, "corephp.cc");

	//read contents
	$data = "";
	while(!feof($fp))
	{
		$data .= fgets($fp, 255);
	}

	//close stream
	fclose($fp);

	//show contents
	print($data);
?>