<?php
	$filename = '/tmp/test.bz2';

	//open file
	if(!($bz = bzopen($filename, 'w')))
	{
		print('Could not open file.');
		exit();
	}

	//write some text
	for($n=0; $n < 10; $n++)
	{
		bzwrite($bz, "Test Line $n\n");
	}

	//close file
	bzclose($bz);

	//open again in read mode
	if(!($bz = bzopen($filename, 'r')))
	{
		print('Could not open file.');
		exit();
	}

	//print each line
	while(!feof($bz))
	{
		print(nl2br(bzread($bz)));
	}

	//close file
	bzclose($bz);
?>