<?php
	//open /dev/random for reading
	$fp = dio_open('/dev/random', O_RDONLY);

	if($fp == -1)
	{
		print('Unable to open /dev/random');
		exit();
	}

	//read 4 bytes
	$data = dio_read($fp, 4);

	//covert raw binary into an integer
	$n = 0;
	for($i=0; $i < 4; $i++)
	{
		//get integer for this byte
		$p = ord(substr($data, $i, 1));

		//multiply it by the next power of 256
		$n += $p * pow(256, $i);
	}

	//print random number
	print($n);

	//close
	dio_close($fp);
?>