<?php
	print("Terminal Path Name: " . posix_ctermid() . "\n");
	print("Current Working Directory: " . posix_getcwd() . "\n");
	print("Effective Group ID: " . posix_getegid() . "\n");
	print("Effective User ID: " . posix_geteuid() . "\n");
	print("Group ID: " . posix_getgid() . "\n");

	$groupInfo = posix_getgrgid(posix_getgid());
	print("Group Name: " . $groupInfo['name'] . "\n");

	print("Supplementary Group IDs:" .
		implode(',', posix_getgroups()) . "\n");
	print("Login: " . posix_getlogin() . "\n");

	print("Process Group ID: " .
	posix_getpgid(posix_getpid()) . "\n");
	print("Current Process Group ID: " . posix_getpgrp() . "\n");
	print("Current Process ID: " . posix_getpid() . "\n");
	print("Parent Process ID: " . posix_getppid() . "\n");

	print("User Info (posix_getlogin): ");
	print_r(posix_getpwnam(posix_getlogin()));
	print("User Info (): ");
	print_r(posix_getpwuid(posix_geteuid()));

	print("Resource Limits: ");
	print_r(posix_getrlimit());

	print("SID: " . posix_getsid(posix_getpid()) . "\n");
	print("Real User ID: " . posix_getuid() . "\n");

	print("System Information: ");
	print_r(posix_uname());
?>