<?php
	$descriptor = array(

	//process input (stdin)
	0=>array("pipe", "r"),

	//process output (stdout)
	1=>array("pipe", "w"),

	//error message sent to temporary file (stderr)
	2=>array("file", uniqid("/tmp/errors"), "w")
	);

	//Execute CLI PHP
	if(!($process = proc_open("php", $descriptor, $pipe)))
	{
		print("Couldn't start process!");
		exit();
	}

	//Send PHP a short script
	$script =
		"<?php\n" .
		"print('Core PHP<br>');\n" .
		"trigger_error('Testing stderr');\n" .
		"?>";
	fwrite($pipe[0], $script);

	//finished writing to pipe, so close it
	fclose($pipe[0]);

	//read output
	while(!feof($pipe[1]))
	{
		//send to browser
		print(fread($pipe[1], 128));
	}

	//close output pipe
	fclose($pipe[1]);

	//close process
	proc_close($process);
?>