<?php
	if(!socket_create_pair(AF_UNIX, SOCK_STREAM, 0, $socket))
	{
		print("Couldn't make sockets!\n");
		exit();
	}

	$child = pcntl_fork();
	if($child == -1)
	{
		print("Couldn't fork!\n");
		exit();
	}
	elseif($child > 0)
	{
		//parent
		socket_close($socket[0]);
		print("Parent: waiting for message\n");
		$message = socket_read($socket[1], 1024, PHP_NORMAL_READ);
		print("Parent: got message--$message\n");
		socket_write($socket[1], "Hello, Child Process!\n");
		pcntl_waitpid($child, $status);
	}
	else
	{
		//child
		socket_close($socket[1]);
		socket_write($socket[0], "Hello, Parent Process!\n");
		print("Child: waiting for message\n");
		$message = socket_read($socket[0], 1024, PHP_NORMAL_READ);
		print("Child: got message--$message\n");
		exit(0);
	}
?>