<?php
	$text = "Here's some text to spellcheck. Is abcd a word?";

	//create configuration framework
	$config = pspell_config_create("en", "american", "medical");

	//skip words less than 5 letters long
	pspell_config_ignore($config, 5);

	//activate fast mode
	pspell_config_mode($config, PSPELL_FAST);

	//set path to personal dictionary
	pspell_config_personal($config, "/tmp/personal.pws");

	//set path to personal replacement pairs
	pspell_config_repl ($config, "/tmp/personal.repl");

	//allow run-together words
	pspell_config_runtogether($config, TRUE);

	//initialize session
	$pspell_link = pspell_new_config($config);
	foreach(str_word_count($text, 1) as $word)
	{
		if(!pspell_check($pspell_link, $word))
		{
			print("$word is unrecognized.");
		}
	}
?>