<?php
	$picture = "leonatkinson.png";

	//create yellow rectangle 20 pixels bigger than picture
	$size = getimagesize($picture);
	$image = imagecreatetruecolor($size[0] + 20, $size[1] + 20);
	$colorYellow = imagecolorallocate($image, 255, 255, 128);
	imagefill($image, 0, 0, $colorYellow);

	//attempt to open picture, suppress error messages
	if(!($image2 = @imagecreatefrompng($picture)))
	{
		//error, so create an error image and exit
		$image = imagecreate(200,200);
		$colorWhite = imagecolorallocate($image, 255, 255, 255);
		$colorBlack = imagecolorallocate($image, 0, 0, 0);
		imagefill($image, 0, 0, $colorWhite);
		imagestring($image, 4, 10, 10, "Couldn't load image!",
		$colorBlack);
		header("Content-type: image/png");
		imagepng($image);
		exit();
	}

	//drop picture into yellow rectangle at 50% opacity
	imagecopymerge($image, $image2, 10, 10, 0, 0, $size[0],
	$size[1], 50);

	//send image
	header("Content-type: image/png");
	imagepng($image);
?>