<?php
	$image = imagecreatetruecolor(140,50);
	$colorWhite = imagecolorallocate($image, 255, 255, 255);
	$colorRed = imagecolorallocate($image, 255, 0, 0);
	$colorBlue = imagecolorallocate($image, 0, 0, 255);
	imagefill($image, 0, 0, $colorWhite);

	//draw solid half-circle
	imagefilledarc($image, 20, 25, 30, 30, 90, 270,
		$colorRed, IMG_ARC_PIE);

	//draw outlined half-circle
	imagefilledarc($image, 60, 25, 30, 30, 90, 270,
		$colorBlue, IMG_ARC_EDGED | IMG_ARC_NOFILL);

	//draw just the line connecting the two ends of the arc
	imagefilledarc($image, 100, 25, 30, 30, 90, 180,
		$colorRed, IMG_ARC_CHORD | IMG_ARC_NOFILL);

	header("Content-type: image/png");
	imagepng($image);
?>