<?php
	//create black canvas
	$image = imagecreate(100, 100);
	$colorBlack = imagecolorallocate($image, 0, 0, 0);
	imagefill($image, 0, 0, $colorBlack);
	$dotColor = array(
		imagecolorallocate($image, 255, 0, 0),
		imagecolorallocate($image, 0, 255, 0),
		imagecolorallocate($image, 255, 255, 0),
		imagecolorallocate($image, 0, 0, 255),
		imagecolorallocate($image, 0, 255, 255),
		imagecolorallocate($image, 255, 0, 255)
		);
	$lastColor = count($dotColor) - 1;

	//draw 10000 random black dots
	srand(time());
	for($i=0; $i < 10000; $i++)
	{
		$color = $dotColor[rand(0, $lastColor)];
		imagesetpixel($image, rand(0, 99), rand(0, 99), $color);
	}

	//send image
	header("Content-type: image/png");
	imagepng($image);
?>