	<?php
	/*
	** Draw text using a TrueType font
	** Also, draw a box behind the text.
	*/

	//set parameters for text
	$size = 40;
	$angle = 45;
	$startX = 30;
	$startY = 90;
	$font = "c:\windows\fonts\comic.ttf";

	//create red square
	$image = imagecreate(100, 100);
	$colorYellow = imagecolorallocate($image, 0xFF, 0xFF, 0x99);
	$colorGray = imagecolorallocate($image, 0xCC, 0xCC, 0xCC);
	$colorBlack = imagecolorallocate($image, 0, 0, 0);
	imagefill($image, 10, 10, $colorYellow);

	//get bounding box
	$Box = imagettfbbox($size, $angle, $font, "PHP");

	//move bounding box to starting point (100,100)
	for($index = 0; $index < count($Box); $index += 2)
	{
		$Box[$index] += $startX;
		$Box[$index+1] += $startY;
	}

	//draw bounding box
	imagefilledpolygon($image, $Box, count($Box)/2, $colorGray);

	//write the text
	$Box = imagettftext($image, $size, $angle,
		$startX, $startY, $colorBlack,
		$font, "PHP");

	//send image
	header("Content-type: image/png");
	imagepng($image);
?>