<?php
	//open connection
	$Connection = ocilogon("scott", "tiger");

	//create statement that calls a stored procedure
	$Query = "BEGIN get_emp_name(7499, :emp_name); END;";
	$Statement = ociparse($Connection, $Query);

	//bind placeholder to name
	ocibindbyname($Statement, ":emp_name", $EmployeeName, 32);

	//execute statement
	ociexecute($Statement);
	print($EmployeeName);

	//free memory for statement
	ocifreestatement($Statement);

	//close connection
	ocilogoff($Connection);
?>