CREATE OR REPLACE PACKAGE emp_data AS
	TYPE EmpCurTyp IS REF CURSOR RETURN emp%ROWTYPE;
	PROCEDURE open_emp_cv (
		emp_number IN emp.empno%TYPE,
		emp_cv IN OUT EmpCurTyp);
END emp_data;

CREATE OR REPLACE PACKAGE BODY emp_data AS
	PROCEDURE open_emp_cv (
		emp_number IN emp.empno%TYPE,
		emp_cv IN OUT EmpCurTyp) IS
	BEGIN
		OPEN emp_cv FOR SELECT *
		FROM emp
		WHERE empno = emp_number;
	END open_emp_cv;
END emp_data;