<?php
	//connect to database
	$Link = pg_connect(" " .
		"dbname=freetrade " .
		"user=freetrade " .
		"password=freetrade");

	//print information about connection
	print("Connection established<br>\n");
	print("Host: " . pg_host($Link) . "<br>\n");
	print("Port: " . pg_port($Link) . "<br>\n");
	print("Database: " . pg_dbname($Link) . "<br>\n");
	print("Options: " . pg_options($Link) . "<br>\n");
	print("<br>\n");

	//create query
	$Query = "SELECT * " .
		"FROM session ";

	//execute query
	if(!($Result = pg_query($Link, $Query)))
	{
		print("Could not execute query: ");
		print(pg_last_error($Link));
		print("<br>\n");
		exit;
	}

	// print each row in a table
	print("<table border=\"1\">\n");

	// print header row
	print("<tr>\n");
	for($Field=0; $Field < pg_num_fields($Result); $Field++)
	{
		print("<th>");
		print(pg_field_name($Result, $Field) . "<br>");
		print(pg_field_type($Result, $Field));
		print("(" . pg_field_size($Result, $Field) . ")");
		print("</th>\n");
	}
	print("</tr>\n");

	//loop through rows
	for($Row=0; $Row < pg_num_rows($Result); $Row++)
	{
		print("<tr>\n");
		for($Field=0; $Field < pg_num_fields($Result); $Field++)
		{
			print("<td>");
			if(pg_field_is_null($Result, $Row, $Field))
			{
				print("NULL");
			}
			else
			{
				print(pg_fetch_result($Result, $Row, $Field));
			}
			print("</td>\n");
		}
		print("</tr>\n");
	}
	print("</table>\n");

	// free the result and close the connection
	pg_freeresult($Result);
	pg_close($Link);
?>