<?php
	//connect to LDAP server
	if(!($ldap=ldap_connect("localhost")))
	{
		die("Could not connect to LDAP server!");
	}

	//set up search criteria
	$dn = "cn=Barry Bat,dc=leonatkinson,dc=com";
	$filter = "sn=*";
	$attributes = array("mail");

	//perform search
	if(!($result = ldap_read($ldap, $dn, $filter, $attributes)))
	{
		die("Nothing Found!");
	}

	$entry = ldap_first_entry($ldap, $result);
	$values = ldap_get_values($ldap, $entry, "mail");
	print($values["count"] . " Values:<ol>\n");
	for($index=0; $index < $values["count"]; $index++)
	{
		print("<li>{$values[$index]}</li>\n");
	}
	print("</ol>\n");
	ldap_free_result($result);
?>