<?php
	if(!isset($_REQUEST['query']))
	{
		$_REQUEST['query'] = '';
	}

	if(!isset($_REQUEST['page']))
	{
		$_REQUEST['page'] = 0;
	}

	//connect to search engine
	$agent = udm_alloc_agent('mysql://user@localhost/mnogo/');

	//only return English documents
	udm_add_search_limit($agent, UDM_LIMIT_LANG, 'en');

	//ignore words of 2 or less letters
	udm_set_agent_param($agent, UDM_PARAM_MIN_WORD_LEN, 3);

	//return 10 results per page
	udm_set_agent_param($agent, UDM_PARAM_PAGE_SIZE, 10);

	//jump to specified page
	udm_set_agent_param($agent, UDM_PARAM_PAGE_NUM,
	$_REQUEST['page']);

	//get results
	$result = udm_find($agent, $_REQUEST['query']);
	$matches = udm_get_res_param($result, UDM_PARAM_FOUND);
	$rows = udm_get_res_param($result, UDM_PARAM_NUM_ROWS);
	$first = udm_get_res_param($result, UDM_PARAM_FIRST_DOC);
	$last = udm_get_res_param($result, UDM_PARAM_LAST_DOC);
	$rating = udm_get_res_param($result, UDM_PARAM_LAST_DOC);
	print("$matches matches<br>");
	$pages = ceil($matches/10);

	//links to each page
	for($p=0; $p < $pages; $p++)
	{
		if($p == $_REQUEST['page'])
		{
			print(($p+1) . " ");
		}
		else
		{
			print("<a href=\"{$_SERVER['PHP_SELF']}?" .
				"query={$_REQUEST['query']}&amp;page=$p\">" .
				($p+1) . "</a> ");
		}
	}
	print("<br><br>\n");

	for($i=0; $i < $rows; $i++)
	{
		print("<a href=\"" .
			udm_get_res_field($result, $i, UDM_FIELD_URL) .
			"\">" . udm_get_res_field($result, $i,
			UDM_FIELD_TITLE) . "</a><br>" .
			udm_get_res_field($result, $i, UDM_FIELD_TEXT) .
			"<br><br>");
	}
	udm_free_res($result);
	udm_free_agent($agent);
?>
<form action="<?php=$_SERVER['PHP_SELF']?>">
<input type="text" name="query"
value="<?php=$_REQUEST['query']?>">
<input type="submit">
</form>