<?php
	//assemble envelope
	$envelope = array(
		'from'=>'leon@example.com',
		'return_path'=>'leon@example.com'
		);

	//grab logo
	$logo = file_get_contents("/image/logo.gif");

	//assemble body
	$body = array(

		//first part should be multipart/mixed
		array(
			'type'=>TYPEMULTIPART,
			'subtype'=>'mixed'
			),

		//add a plain text message
		array(
			'type'=>TYPETEXT,
			'subtype'=>'plain',
			'contents.data'=>"Here's a message for you."
			),

		//add an image
		array(
			'type'=>TYPEIMAGE,
			'subtype'=>'gif',
			'encoding'=>ENCBASE64,
			'contents.data'=>chunk_split(base64_encode($logo)),
			'description'=>'logo.gif'
			)
		);

	//compose MIME headers
	$mime = imap_mail_compose($envelope, $body);

	//show user the raw MIME
	print(nl2br($mime));

	//send the message
	imap_mail('leon@example.com', 'MIME Test', '', $mime);
?>