<?php
	// byName
	// compare employees based on name
	function byName($left, $right)
	{
		return(strcmp($left[0], $right[0]));
	}

	//Create some employees (Name, Title, Rate)
	$employee = array(
		array("Mckillop, Jeff", "Executive", 50),
		array("Porter, Carl", "Instructor", 45),
		array("Marazzani, Rick", "Manager", 35),
		array("Dibetta, Bob", "Programmer", 65),
		array("Atkinson, Leon", "President", 100));

	//Sort the list
	usort($employee, "byName");
	print("<pre>");
	print_r($employee);
	print("</pre>\n");

	//Pick target
	$Name = "Porter, Carl";
	print("Searching for $Name<br>\n");

	//Set range to search in
	$lower_limit = 0;
	$upper_limit = count($employee) - 1;

	//Pick mid-point
	$index = floor(($lower_limit + $upper_limit)/2);
	while($lower_limit < $upper_limit)
	{
		if(strcmp($employee[$index][0], $Name) < 0)
		{
			//Target in upper half
			$lower_limit = $index + 1;
		}
		elseif(strcmp($employee[$index][0], $Name) > 0)
		{
			//Target in lower half
			$upper_limit = $index - 1;
		}
		else
		{
			//Target found
			$lower_limit = $index;
			$upper_limit = $index;
		}

		//Pick mid-point
		$index = floor(($lower_limit + $upper_limit)/2);
	}

	// Print results
	print("Position $index<br>\n");
	print("{$employee[$index][0]} {$employee[$index][1]}<br>\n");
?>