<?php
	//get FastTemplate class
	require_once("class.FastTemplate.php");

	//instantiate
	//use templates in current directory
	$tpl = new FastTemplate(".");

	//set list of templates used
	$tpl->define(
		array(
			"main"=>"27-3.tpl",
			"side"=>"27-4.tpl",
			"table"=>"27-5.tpl",
			"row"=>"27-6.tpl"
		)
	);
	
	//set the value of the TITLE variable
	$tpl->assign(array("TITLE"=>"FastTemplate Test"));

	//get side navigation
	$tpl->parse("SIDENAV", "side");

	//create rows for the table
	for($n=1; $n <= 10; $n++)
	{
		//set values
		$tpl->assign(
			array(
				"NUMBER"=>$n,
				"SQUARE"=>pow($n,2),
				"CUBE"=>pow($n,3)
			)
		);

		//parse row template and append it to ROWS
		$tpl->parse("ROWS",".row");
	}

	//parse table, main and put it in MAIN
	$tpl->parse("MAIN", array("table","main"));

	//send entire contents to the browser
	$tpl->FastPrint("MAIN");
?>