<?php
	$monthInfo = array(
		1=>array("January", 31),
		array("February", 28),
		array("March", 31),
		array("April", 31),
		array("May", 31),
		array("June", 31),
		array("July", 31),
		array("August", 31),
		array("September", 30),
		array("October", 31),
		array("November", 30),
		array("December", 31));

	$userInfo = array(
		"Name"=>"Leon Atkinson",
		"Location"=>"Martinez, California",
		"Occupation"=>"Programmer");

	//This does not parse as expected. It prints
	//Array[0] because [0] isn't considered part of
	//the expression.
	print("$monthInfo[1][0] <br>\n");

	//Here the curly braces alert the parser to
	//consider the entire array expression,
	//including the second dimension.
	print("{$monthInfo[1][0]} has {$monthInfo[1][1]} days<br>\n");

	//Here we've avoided the confusion by keeping
	//the array values outside of the strings, perhaps
	//at the expense of some readability.
	print($monthInfo[1][0] . " has " . $monthInfo[1][1] . " days <br>\n");

	//This line would cause a parse error if uncommented
	//print("Name is $userInfo["Name"]<br>\n");
	//Once again, curly braces are used to clear up
	//confusion for the parser.
	print("Name is {$userInfo["Name"]}<br>\n");
?>