<?php
	class Animal
	{
		public $blood;
		public $name;

		public function __construct($blood, $name=NULL)
		{
			$this->blood = $blood;
			if($name)
			{
				$this->name = $name;
			}
		}
	}

	class Mammal extends Animal
	{
		public $furColor;
		public $legs;

		function __construct($furColor, $legs, $name=NULL)
		{
			parent::__construct("warm", $name);
			$this->furColor = $furColor;
			$this->legs = $legs;
		}
	}

	class Dog extends Mammal
	{
		function __construct($furColor, $name)
		{
			parent::__construct($furColor, 4, $name);
			self::bark();
		}

		function bark()
		{
			print("$this->name says 'woof!'");
		}
	}

	$d = new Dog("Black and Tan", "Angus");
?>