<?php
	//create child
	$pid = pcntl_fork();
	if($pid == 0)
	{
		//child process
		print(microtime() . " Child\n");

		//pretend to do some calculation
		for($i=0; $i < 10; $i++)
		{
			$x = pow($i, $i+1);
			print(microtime() . " Child working on $i\n");
		}

		exit(123);
	}
	elseif($pid > 0)
	{
		//parent process
		print(microtime() . " Parent\n");

		//wait for child
		pcntl_waitpid($pid, $status);

		if(pcntl_wifexited($status))
		{
			$retval = pcntl_wexitstatus($status);
			print(microtime() . " Parent gets $retval\n");
		}
	}
	else
	{
		print("Error: child not created!\n");
	}
?>