<?php
	function cleanUp()
	{
		$status = connection_status();
		$statusMessage = date("Y-m-d H:i:s");
		$statusMessage .= " Status was $status. ";

		if($status & CONNECTION_ABORTED)
		{
			$statusMessage .= "The script was aborted. ";
		}

		if($status & CONNECTION_TIMEOUT)
		{
			$statusMessage .= "The script timed out. ";
		}

		$statusMessage .= "\n";

		//write status to log file
		error_log($statusMessage, 3, "/tmp/status.log");
		return(TRUE);
	}

	//set cleanUp to the shutdown function
	register_shutdown_function("cleanUp");
	set_time_limit(3);

	//wait out the max execution time
	while(TRUE)
	{
		for($i=1; $i < 80; $i++)
		{
			print('x');
		}
		print('<br>');
	}

	print("Fake task finished.\n");
?>